package org.one.stone.soup.xapp.components.spreadsheet;

import org.one.stone.soup.xml.XmlElement;

public interface XappSpreadsheet {

	public abstract void resizeColumn(int column);

	public abstract XmlElement getData();

	public abstract XappSpreadsheetModel getSpreadsheetModel();

	public abstract void setData(XmlElement data);

	public abstract boolean isFunctionCell(int row, int column);

	public abstract void editFunctionCell(int row, int column);

	public int getSelectedRow();
	public int getSelectedColumn();
	public int getColumnCount();
	public int getRowCount();
	public String getColumnName(int column);
	
	public abstract void recalculate();

	public abstract void refresh();

}