package org.one.stone.soup.xapp.swing.components;

import javax.swing.JMenu;
import javax.swing.JMenuItem;

import org.one.stone.soup.xapp.components.XappMenu;
import org.one.stone.soup.xapp.components.XappMenuItem;

public class XappSwingMenu extends JMenu implements XappMenu {

	public void setName(String name)
	{
		super.setName(name);
		super.setText(name);
	}
	
	public void setTip(String text)
	{
		setToolTipText(text);
	}

	public String getData() {
		return getActionCommand();
	}

	public void setData(String value) {
		setActionCommand(value);
	}

	public void setEditable(boolean state) {
		setEnabled(state);
	}

	public void add(XappMenu subMenu) {
		add((JMenu)subMenu);
	}

	public void add(XappMenuItem item) {
		add((JMenuItem)item);
	}
}
