package org.one.stone.soup.dfml;

import java.io.*;

public class DfmlInputStream extends InputStream{
	private DfmlData data;
	private String currentLine;
	private int currentPos;
public DfmlInputStream( DfmlData data )
{
	super();
	this.data = data;
}
/**
 * read method comment.
 */
public void close() throws IOException {

	currentPos=0;
	currentLine=null;
	data.init();
}
/**
 * read method comment.
 */
public int read() throws IOException {

	if(currentLine==null)
	{
		while( (currentLine==null || currentLine.length()==0) && data.isFinished()==false )
		{
			currentLine = data.process();
		}

		if( data.isFinished() )
		{
			return -1;
		}

		currentPos = 0;
	}

	int value = currentLine.charAt( currentPos );

	currentPos++;
	if(currentPos>=currentLine.length())
		currentLine=null;

	return value;
}
}
