package org.one.stone.soup.util;

import java.util.*;

/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

/**
 * @author nikcross
 *
 */

// TODO
public class HashedVector {
	private Vector data = new Vector();
	private Vector keys = new Vector();
	private Hashtable table = new Hashtable();
/**
 * HashedVector constructor comment.
 */
public HashedVector() {
	super();
}
/**
 *
 * @return java.lang.Object
 * @param index int
 */
public Object elementAt(int index) {
	return data.elementAt(index);
}
/**
 *
 * @return java.lang.Object
 * @param key java.lang.Object
 */
public Object get(Object key) {
	return table.get(key);
}
/**
 *
 * @return java.lang.Object
 * @param index int
 */
public Object keyAt(int index) {
	return keys.elementAt(index);
}
public void put(Object key, Object value)
{
	if(get(key)!=null)
	{
		data.remove(get(key));
		keys.remove(key);
	}
	data.addElement(value);
	keys.addElement(key);
	table.put(key,value);
}
/**
 *
 * @return int
 */
public int size() {
	return data.size();
}
/**
 *
 * @return java.lang.String
 */
public String toString() {

	StringBuffer text = new StringBuffer();
	text.append("HashedVector\n");

	for(int loop=0;loop<data.size();loop++)
	{
		text.append( "Key:"+keys.elementAt(loop)+" = "+data.elementAt(loop)+"\n" );
	}

	return text.toString();
}
}
