package org.one.stone.soup.xapp.factories;

import org.one.stone.soup.xapp.XappActionAdapter;
import org.one.stone.soup.xml.XmlElement;

public class XappActionAdapterFactory {

	public static void addAction(XappActionAdapter adapter,XmlElement xActions,String name)
	{
			XmlElement xAction = xActions.addChild("action");
			xAction.addAttribute("name",name);
			xAction.addAttribute("adapter",adapter.getAlias());				
	}
	
	public static void addAction(XappActionAdapter adapter,XmlElement xActions,String name,String method)
	{
			XmlElement xAction = xActions.addChild("action");
			xAction.addAttribute("name",name);
			xAction.addAttribute("method",method);
			xAction.addAttribute("adapter",adapter.getAlias());				
	}

	public static XmlElement getActionsDefinition()
	{
		XmlElement xActions = new XmlElement("actions");
		return xActions;
	}

}
