package org.one.stone.soup.xapp.swing.components;

import java.awt.Dimension;

import javax.swing.JButton;
import javax.swing.border.BevelBorder;
import javax.swing.border.SoftBevelBorder;

import org.one.stone.soup.xapp.components.XappButton;

public class XappSwingButton extends JButton implements XappButton {

	public XappSwingButton()
	{
		setBorder( new SoftBevelBorder(BevelBorder.RAISED) );
	}
	
	public String getData() {
		return getText();
	}

	public void setName(String name) {
		super.setName(name);
		super.setActionCommand(name);
	}
	
	public void setData(String value) {
		setText(value);
	}

	public void setEditable(boolean state) {
		
	}

	public void setTip(String toolTip) {
		setToolTipText(toolTip);
	}

	public void setSize(int size)
	{
		Dimension dim = getMinimumSize();
		dim.width = size;
		setMaximumSize( dim );
		setMinimumSize( dim );
		setSize( dim );
		setPreferredSize( dim );	
	}
}
