package org.one.stone.soup.xapp.swing.components;

import javax.swing.JButton;

import org.one.stone.soup.xapp.components.XappImage;
import org.one.stone.soup.xapp.components.XappImageButton;

public class XappSwingImageButton extends JButton implements XappImageButton {

	public void setIcon(XappImage image) {
		setIcon( ((XappSwingImage)image).getImageIcon() );
	}

	public void setSelectedIcon(XappImage image) {
		setPressedIcon( ((XappSwingImage)image).getImageIcon() );
	}

	public void setDisabledIcon(XappImage image) {
		setDisabledIcon( ((XappSwingImage)image).getImageIcon() );
	}

	public void setTip(String toolTip) {
		setToolTipText(toolTip);
	}

	public String getData() {
		return getText();
	}

	public void setEditable(boolean state) {
		setEnabled(state);
	}

	public void setData(String value) {
		setText(value);
	}

	public void setName(String name) {
		super.setName(name);
		super.setActionCommand(name);
	}

	public void setHasBorder(boolean state) {
		setBorderPainted(state);
		
		if(state==false)
		{
			setBorder(null);
			setContentAreaFilled(false);
			setFocusPainted(false);			
		}
	}
}
