package org.one.stone.soup.xml;

import java.io.InputStream;

public class XmlDOCTYPEProcessor implements XmlTagParser
{
	private String name;
	private String data;
	
	public boolean startMatch(StringBuffer data)
	{
		if(data.length()==8 && data.toString().equals("!DOCTYPE"))
		{
			return true;
		}
		return false;
	}
	
	public boolean parseTag(XmlParser parser, String rawTag, XmlDocument doc,
			XmlElement currentElement, InputStream iStream)
			throws XmlParseException {
		
		if( rawTag.length()>=8 && rawTag.substring(0,8).equals("!DOCTYPE") )
		{	
			
			try{
				int in = iStream.read();
				StringBuffer buffer = new StringBuffer( rawTag.substring(8) );

				while(in !=-1)
				{
					if(in=='[')
					{
						break;
					}
					buffer.append((char)in);
					in = iStream.read();
				}
				
				name=buffer.toString().trim();
				
				buffer = new StringBuffer( rawTag.substring(8) );
				in = iStream.read();
				while(in !=-1)
				{
					if(in==']')
					{
						break;
					}
					buffer.append((char)in);
					
					in = iStream.read();
				}
				
				data = buffer.toString();
			}
			catch(Exception e)
			{
				throw new XmlParseException(-1,-1);
			}
			
			return true;
		}
		
		return false;
	}

}

